<id>
YaBB Advertising
</id>

<version>
1.4
</version>

<mod info>
Allows you to add advertisements in specific boards.

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.
 
AdminIndex.pl (ASCII)
Admin/AdminSubList.pl (ASCII)
Admin/ModList.pl (ASCII)
Languages/English/Admin.lng (ASCII)
Sources/Display.pl (ASCII)
Templates/default/Display.template (ASCII)
 
Upload files from Zip Package.
Admin/AdvertiseAdmin (ASCII)

Mod History:

Status YaBB Advertising V1.4 (23.04.2007)
- Fix small error

Status YaBB Advertising V1.3 (05.02.2007)
- Fix for Java Script all Ad Codes

Status YaBB Advertising V1.2 (04.02.2007) (10 Downloads)
- Fix for Google AdSense
- Add nederlands file (thnx to jans to correct my nederlands)

Status YaBB Advertising V1.1 (03.02.2007) (8 Downloads)
- Fix no delete adcode and add Step for remove board

Status YaBB Advertising V1.0 (03.02.2007) (2 Downloads)
- First release

</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li)
</author>

<homepage>
http://yabb.xost.ru/ and http://www.grafix-world.nl
</homepage>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
      $advert_mod = "advertise|Advertise Mod|Advertise Mod|";
      push (@boardmod_mods, "$advert_mod");
</add before>

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
'addmember2',"Admin.pl&AddMember2",
</search for>

<add after>
'advertise',"AdvertiseAdmin.pl&AdvertiseSET",
'advertise2',"AdvertiseAdmin.pl&AdvertiseSET2",
</add after>

<edit file>
Admin/ManageBoards.pl
</edit file>

<search for>
		unlink("$boardsdir/$board.mail");
</search for>

<add after>
		unlink("$boardsdir/$board.advert");
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
      $advertise = "Advertise|Boris Tjuvanov (<a href=\"http://www.mf-b.ru\" target=\"_blank\">MF-B</a>) and Jeffrey Man (<a href=\"http://www.grafix-world.nl\" target=\"_blank\">Jet Li</a>)|This function add Advertise Code in Messages Display|1.4|23.04.2007";
      push (@installed_mods, "$advertise");
</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
%smtp_txt = (
'1' => "Select SMTP server Authorization type",
'2' => "OFF means no authorization is required",
'3' => "SMTP Authorization username",
'4' => "SMTP Authorization password",
'sendmail' => "Unix/Linux Sendmail",
'smtp' => "YaBB SMTP Engine",
'net' => "Net::SMTP (Perl Module)",
'auto' => "AUTO",
'cram' => "CRAM-MD5",
'login' => "LOGIN",
'plain' => "PLAIN",
'off' => "OFF",
);

</search for>

<add after>
%ad_lang =(
'01' => "Advertising",
'02' => "This function enables Advertising in Message Display",
'03' => "Enable Advertising on this Board",
'04' => "Ad Code",
'05' => "Max number of Advertising displayed in a Thread",
'05a' => "Maximum value per page is",
'06' => "Ad Title (optional)",
'07' => "Changes have been saved",
);

</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
	if ($INFO{'start'} eq "new") {
</search for>

<add before>
	if (-e("$boardsdir/$currentboard.advert")) {
	      require "$boardsdir/$currentboard.advert";
	      $adenable = $advert{'adenable'};
	      $adtitle = $advert{'adtitle'};
	      $adcode[1] = $advert{'adcode'};
	      $adcount = $advert{'adcount'};
	}
</add before>

<search for>
		my $contactblock    = $contactlist;
</search for>

<add after>
		my ($adcode);
		if ($adenable && $showadv > 0 && $advcount < $adcount && $adcode[$counter % ($maxmessagedisplay/$adcount)]) {
		     $outblock = $advertcode . $messageblock;
		     if ($adtitle ne '') { 
		          $adtitlecode =~ s/<yabb adtitletext>/$adtitle/g;
		          $outblock =~ s/<yabb adtitle>/$adtitlecode/g;
		     } else {
		         $outblock =~ s/<yabb adtitle>//g;
		     }
		     $adcode = $adcode[$counter % ($maxmessagedisplay/$adcount)];
		     $outblock =~ s/<yabb adcode>/$adcode/g;
		     $outblock =~ s/<yabb advertcode>/$advertcode/g;
		     $advcount++;
		} else { 
		     $outblock =~ s/<yabb advertcode>//g;
		     $showadv = 1;
		}
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
$messageblock = qq~
</search for>

<add after>
<yabb advertcode>
</add after>

<search for>
1;
</search for>

<add before>
$advertcode = qq~
<div class="displaycontainer">
<table cellpadding="5" cellspacing="0" border="0" width="100%" align="center">
<yabb adtitle>
<tr><td class="catbg" align="center"><yabb adcode></td></tr>
</table>
</div>
~;

$adtitlecode = qq~
<tr><td class="titlebg" align="center"><b><yabb adtitletext></b></td></tr>
~;
</add before>